Bug 1009247 - Review Request: minimodem - General-purpose software audio FSK modem
Review Request: minimodem - General-purpose software audio FSK modem
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 00:42 EDT by Jim
Modified: 2014-11-17 08:07 EST (History)
2 users (show)

See Also:
Fixed In Version: minimodem-0.19-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-28 21:25:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jim 2013-09-18 00:42:08 EDT
Spec URL: http://kg4sgp.com/specs/minimodem.spec
SRPM URL: http://kg4sgp.com/srpms/minimodem-0.18-1.fc19.src.rpm
Description: General-purpose software audio FSK modem
Fedora Account System Username: kg4sgp
Comment 1 Ricky Elrod 2013-09-18 00:46:30 EDT
Taking for review.
Comment 2 Ricky Elrod 2013-09-18 01:36:53 EDT
This package is APPROVED.
I have sponsored you into the packager group, as well. Welcome aboard!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 6 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: minimodem-0.18-1.fc21.x86_64.rpm
minimodem.x86_64: E: zero-length /usr/share/doc/minimodem/NEWS
minimodem.x86_64: E: zero-length /usr/share/doc/minimodem/ChangeLog
1 packages and 0 specfiles checked; 2 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint minimodem
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
minimodem (rpmlib, GLIBC filtered):
    fftw
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libc.so.6()(64bit)
    libfftw3f.so.3()(64bit)
    libm.so.6()(64bit)
    libpulse-simple.so.0()(64bit)
    libpulse-simple.so.0(PULSE_0)(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    rtld(GNU_HASH)



Provides
--------
minimodem:
    minimodem
    minimodem(x86-64)



Source checksums
----------------
http://www.whence.com/minimodem/minimodem-0.18.tar.gz :
  CHECKSUM(SHA256) this package     : 8c64c0f087d4bc4db17f36ec1aa00c2cdfbe1123e9db28b1001c7020b2f862b1
  CHECKSUM(SHA256) upstream package : 8c64c0f087d4bc4db17f36ec1aa00c2cdfbe1123e9db28b1001c7020b2f862b1


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1009247
Comment 3 Jim 2013-09-18 12:45:54 EDT
New Package SCM Request
=======================
Package Name: minimodem
Short Description: General-purpose software audio FSK modem
Owners: kg4sgp
Branches: f18 f19 f20 el5 el6
InitialCC: codeblock
Comment 4 Gwyn Ciesla 2013-09-18 13:18:41 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-09-18 16:28:54 EDT
minimodem-0.18-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/minimodem-0.18-1.fc20
Comment 6 Fedora Update System 2013-09-18 16:38:45 EDT
minimodem-0.18-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/minimodem-0.18-1.fc19
Comment 7 Fedora Update System 2013-09-18 16:46:18 EDT
minimodem-0.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/minimodem-0.18-1.fc18
Comment 8 Fedora Update System 2013-09-18 16:53:42 EDT
minimodem-0.18-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/minimodem-0.18-1.el6
Comment 9 Fedora Update System 2013-09-19 14:33:34 EDT
minimodem-0.18-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2013-09-28 21:25:23 EDT
minimodem-0.18-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-09-28 21:32:36 EDT
minimodem-0.18-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2013-09-28 21:37:45 EDT
minimodem-0.18-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-10-03 02:29:08 EDT
minimodem-0.19-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/minimodem-0.19-2.el6
Comment 14 Fedora Update System 2013-10-18 14:50:23 EDT
minimodem-0.19-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Ricky Elrod 2014-11-15 05:06:36 EST
Package Change Request
======================
Package Name: minimodem
New Branches: epel7
Owners: kg4sgp codeblock
Comment 16 Gwyn Ciesla 2014-11-17 08:07:57 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.